org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

## Class BulkheadCompletionStageBean

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.BulkheadCompletionStageBean

    @Dependent
    public class BulkheadCompletionStageBean
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`BulkheadCompletionStageBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CompletionStage<Void>` `serviceCS(CompletionStage<Void> stage)` Returns `stage` as the result

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BulkheadCompletionStageBean

    public BulkheadCompletionStageBean()

### Method Detail

#### serviceCS

    @Asynchronous
     @Bulkhead(value=2,
              waitingTaskQueue=2)
    public CompletionStage<Void> serviceCS(CompletionStage<Void> stage)

Returns `stage` as the result

Allows two concurrent executions and two queued.

As this is an async method, it won't be considered "complete" by Fault Tolerance until `stage` completes.

Parameters:
  `stage` - the CompletionStage to return as the result
Returns:
  `stage`